#!/bin/sh

### Script to start/stop the IBM Emptoris EchOS Agent ### 

javaHome=@java_home@
serviceName=@agent.service.name@
log4jConfig=@log4j.conf.location@
echosAgentConfig=@echos.agent.conf.location@
echosScriptDir=@echos.script.dir@
echosInstallDir=@agent.installation.dir@
isService=@agent.is.service@

baseCmd=""$javaHome/bin/java" "-Dagent.service.name=$serviceName" "-Dlog4j.configuration=$log4jConfig" "-Dechos.scripts.dir=$echosScriptDir" "-Dechosagent.configuration=$echosAgentConfig" "-Dagent.dir=$echosInstallDir""

status() {
    if [ $isService -eq 1 ]; then
       eval "su - @agent_user@ -c '$baseCmd -jar $echosInstallDir/echos-agent.jar status'"
    else
       eval "$baseCmd -jar $echosInstallDir/echos-agent.jar status"
    fi
}

stop() {
    echo "Stopping $serviceName..."
    if [ $isService -eq 1 ]; then
       eval "su - @agent_user@ -c '$baseCmd -jar $echosInstallDir/echos-agent.jar stop &'"
    else
       eval "$baseCmd -jar $echosInstallDir/echos-agent.jar stop &"
    fi
}

start() {
    echo "Starting $serviceName..."
    if [ $isService -eq 1 ]; then
       eval "su - @agent_user@ -c '$baseCmd -DisStart -jar $echosInstallDir/echos-agent.jar start &'"
    else
       eval "$baseCmd -DisStart -jar $echosInstallDir/echos-agent.jar start &"
    fi
}

cd $echosInstallDir

case "$1" in
    'start')
        start
        ;;

    'stop')
        stop
        ;;

    'restart')
        stop
        start
        ;;

    'status')
        status
        ;;

    *)
        echo "Usage: $0 { start | stop | restart | status }"
        exit 1
        ;;
esac

exit $?
        
